Subject: Re: How can I easily verify my diffs are in parent branch?

From: David Kågedal <[email-masked]>
Date: Thu, 05 Apr 2007 11:16:12 +0200

Junio C Hamano <[email-masked]> writes:

> I think we should be able to use --left-right and ... operator
> to express what the above cherry does with something like:
>
>     $ git log --left-right --ignore-common-patch cvs-upstream...my-branch

--left-right is not documented, so I think it's hard for people (for
me at least) to follow your reasoning.

Would it be to much to ask for to want to have all options have some
kind of documentation? As in not accepting patches for new options
that don't include documentation?

"git log -Sleft-right" will actually give me the documentation I want,
since the docs are written but only put in the commit message.  A git
user that only uses a git installation has no way of finding that,
though.

-- 
David Kågedal